{ stdenv, lib, findutils, jq, nixUnstable, coreutils }:

stdenv.mkDerivation {
  pname = "nixredo";
  version = "1";
  phases = [ "installPhase" "fixupPhase" ];

  binPath = lib.makeBinPath [ findutils coreutils jq nixUnstable ];
  buildernix = ./builder.nix;
  libnix = ./lib.nix;

  files = [ ./nixredo ./nixredo-deps ./nixredo-whichdo ./nixredo-gc ];

  installPhase = ''
    mkdir -p $out/bin
    for f in $files; do
      _f=$out/bin/nixredo''${f##*-nixredo}
      cp $f $_f
      substituteAllInPlace $_f
      chmod +x $_f
    done
  '';
}
